Bug 24445 - Add missing Z3950 updates to Makefile.PL
Summary: Add missing Z3950 updates to Makefile.PL
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: master
Hardware: All All
: P1 - high critical (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 13937
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-17 10:48 UTC by Mason James
Modified: 2020-02-05 20:45 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02


Attachments
Bug 13937: add z3950 to makefile (3.97 KB, patch)
2020-01-17 10:50 UTC, Mason James
Details | Diff | Splinter Review
Add missing Z3950 updates to Makefile.PL, so tar file will build ok (3.97 KB, patch)
2020-01-17 10:55 UTC, Mason James
Details | Diff | Splinter Review
Bug 24445: Add z3950 to makefile (bug 13937 follow-up) (3.97 KB, patch)
2020-01-17 11:09 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2020-01-17 10:48:44 UTC
Add missing Z3950 updates to Makefile.PL, so tar file will build ok

this bug was introduced in BZ 13937


to test...
 1/ attempt to build koha tar, observe failure
 2/ apply patch 
 3/ attempt to build koha tar, observe success!
Comment 1 Mason James 2020-01-17 10:50:55 UTC
Created attachment 97494 [details] [review]
Bug 13937: add z3950 to makefile
Comment 2 Mason James 2020-01-17 10:55:45 UTC
Created attachment 97495 [details] [review]
Add missing Z3950 updates to Makefile.PL, so tar file will build ok

this bug was introduced in BZ 13937


to test...
 1/ attempt to build koha tar, observe failure
 2/ apply patch 
 3/ attempt to build koha tar, observe success!
Comment 3 Mason James 2020-01-17 11:05:51 UTC
(In reply to Mason James from comment #2)
> Created attachment 97495 [details] [review] [review]
> Add missing Z3950 updates to Makefile.PL, so tar file will build ok
> 
> this bug was introduced in BZ 13937

hi Joy, needs to be backported to 19.11.x branch too :0)
Comment 4 Martin Renvoize 2020-01-17 11:09:07 UTC
Created attachment 97497 [details] [review]
Bug 24445: Add z3950 to makefile (bug 13937 follow-up)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-01-17 11:10:28 UTC
Trivial correction, Passing QA.. Thanks Mason
Comment 6 Martin Renvoize 2020-01-17 11:12:43 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-01-18 14:50:37 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 8 Lucas Gass 2020-02-05 20:45:00 UTC
19.05.x lacks dependency, no backport